Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFrame.Shape

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFrame.Shape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFrame

    public static final class QFrame.Shape

extends java.lang.Enum
implements QtEnumerator

This enum type lists the built-in shapes supported by `QTabBar`. Treat these as hints as some styles may not render some of the shapes. However, position should be honored.

See Also:
  Serialized Form

Field Summary
`static QFrame.Shape` | `Box`
`static QFrame.Shape` | `HLine`
`static QFrame.Shape` | `NoFrame`
`static QFrame.Shape` | `Panel`
`static QFrame.Shape` | `StyledPanel`
`static QFrame.Shape` | `VLine`
`static QFrame.Shape` | `WinPanel`

Method Summary
`static QFrame.Shape` | `resolve(int value)` Returns the Shape constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFrame.Shape` | `valueOf(java.lang.String name)`
`static QFrame.Shape[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoFrame

    public static final QFrame.Shape NoFrame

### Box

    public static final QFrame.Shape Box

### Panel

    public static final QFrame.Shape Panel

### WinPanel

    public static final QFrame.Shape WinPanel

### HLine

    public static final QFrame.Shape HLine

### VLine

    public static final QFrame.Shape VLine

### StyledPanel

    public static final QFrame.Shape StyledPanel

Method Detail

### values

    public static QFrame.Shape[] values()

### valueOf

    public static QFrame.Shape valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFrame.Shape resolve(int value)

  Returns the Shape constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD